Subject: Re: kernel update on mpc8248 muram definition?

From: Scott Wood <[email-masked]>
Date: Thu, 15 Nov 2007 11:30:49 -0600

Alan Bennett wrote:
>   While working on i2c support, I've decided to update to a new kernel.  
> In the process of doing this, I'm not sure I've properly configured the 
> MURAM node to my device tree (i.e. serial is broken again).

You haven't -- you copied muram/data/reg from some other tree, rather 
than from resource 2 of cpm/reg in your old tree.

>  Also, does 
> this, in any way, change the way I offset the early debug transmit 
> descriptor address?

No.

>             muram@0 {
>                 #address-cells = <1>;
>                 #size-cells = <1>;
>                 ranges = <0 0 10000>;
> 
>                 data@0 {
>                     compatible = "fsl,cpm-muram-data";
>                     reg = <0 2000 9800 800>;
>                 };
>             };

muram/data/reg should be <80 1f80 9800 800> for your board.

-Scott